#include <iocslib.h>

int S_X68ID()
// X68本体のSCSI-IDを読み出す
// X68030のようなハードで設定する機種でも大丈夫なのかな？
{
	// SCSIが無効の時は-1を返す
	if ( B_BPEEK((void*)0xed006f)!='V' ) return(-1); // 'V'=SCSI有効
	
	return( B_BPEEK((void*)0xed0070)&7 );
}

#if 0
main()
{
	printf2("    ID=%d\n",S_X68ID());
	// このポートを読むと、SPCに設定されているIDがビット対応で読める。
	// BIT7=7 ... BIT0=0
	printf2("portID=%b\n",B_BPEEK(0xe96021));
}
#endif
